=== modified file 'bzrlib/diff.py'
--- bzrlib/diff.py	2007-12-17 00:22:28 +0000
+++ bzrlib/diff.py	2007-12-18 15:22:47 +0000
@@ -38,7 +38,7 @@
 
 from bzrlib.symbol_versioning import (
         deprecated_function,
-        zero_ninetythree,
+        one_zero,
         )
 from bzrlib.trace import mutter, warning
 
@@ -272,7 +272,7 @@
                         new_abspath, e)
 
 
-@deprecated_function(zero_ninetythree)
+@deprecated_function(one_zero)
 def diff_cmd_helper(tree, specific_files, external_diff_options, 
                     old_revision_spec=None, new_revision_spec=None,
                     revision_specs=None,

=== modified file 'bzrlib/inventory.py'
--- bzrlib/inventory.py	2007-11-29 15:32:09 +0000
+++ bzrlib/inventory.py	2007-12-18 18:25:12 +0000
@@ -50,7 +50,7 @@
     BzrCheckError,
     BzrError,
     )
-from bzrlib.symbol_versioning import deprecated_method, zero_ninetyone
+from bzrlib.symbol_versioning import deprecated_method
 from bzrlib.trace import mutter
 
 
@@ -142,7 +142,7 @@
         """
         return False, False
 
-    @deprecated_method(symbol_versioning.zero_ninetythree)
+    @deprecated_method(symbol_versioning.one_zero)
     def diff(self, text_diff, from_label, tree, to_label, to_entry, to_tree,
              output_to, reverse=False):
         """Perform a diff from this to to_entry.
@@ -198,7 +198,7 @@
                     candidates[ie.revision] = ie
         return candidates
 
-    @deprecated_method(zero_ninetyone)
+    @deprecated_method(symbol_versioning.zero_ninetyone)
     def find_previous_heads(self, previous_inventories,
                             versioned_file_store,
                             transaction,

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2007-12-11 06:18:55 +0000
+++ bzrlib/osutils.py	2007-12-18 15:22:47 +0000
@@ -57,7 +57,7 @@
 from bzrlib import symbol_versioning
 from bzrlib.symbol_versioning import (
     deprecated_function,
-    zero_ninetythree,
+    one_zero,
     )
 from bzrlib.trace import mutter
 
@@ -468,7 +468,7 @@
         return pathjoin(F(p), e)
 
 
-@deprecated_function(zero_ninetythree)
+@deprecated_function(one_zero)
 def backup_file(fn):
     """Copy a file to a backup.
 

=== modified file 'bzrlib/revision.py'
--- bzrlib/revision.py	2007-11-30 14:52:30 +0000
+++ bzrlib/revision.py	2007-12-18 17:52:11 +0000
@@ -125,7 +125,7 @@
         return self.properties.get('author', self.committer)
 
 
-@deprecated_function(symbol_versioning.zero_ninetythree)
+@deprecated_function(symbol_versioning.one_zero)
 def is_ancestor(revision_id, candidate_id, branch):
     """Return true if candidate_id is an ancestor of revision_id.
 

=== modified file 'bzrlib/symbol_versioning.py'
--- bzrlib/symbol_versioning.py	2007-11-10 11:50:49 +0000
+++ bzrlib/symbol_versioning.py	2007-12-18 15:22:47 +0000
@@ -41,6 +41,8 @@
            'zero_ninetyone',
            'zero_ninetytwo',
            'zero_ninetythree',
+           'one_zero',
+           'one_one',
            ]
 
 from warnings import warn
@@ -62,7 +64,9 @@
 zero_ninety = "%s was deprecated in version 0.90."
 zero_ninetyone = "%s was deprecated in version 0.91."
 zero_ninetytwo = "%s was deprecated in version 0.92."
-zero_ninetythree = "%s was deprecated in version 0.93."
+one_zero = "%s was deprecated in version 1.0."
+zero_ninetythree = one_zero # Maintained for backwards compatibility
+one_one = "%s was deprecated in version 1.1."
 
 
 def set_warning_method(method):

=== modified file 'bzrlib/tests/test_ancestry.py'
--- bzrlib/tests/test_ancestry.py	2007-11-30 22:17:05 +0000
+++ bzrlib/tests/test_ancestry.py	2007-12-18 15:22:47 +0000
@@ -23,7 +23,7 @@
 from bzrlib.branch import Branch
 from bzrlib.branchbuilder import BranchBuilder
 from bzrlib.revision import is_ancestor
-from bzrlib.symbol_versioning import zero_ninetythree
+from bzrlib.symbol_versioning import one_zero
 
 
 class TestAncestry(TestCaseWithMemoryTransport):
@@ -45,7 +45,7 @@
 
     def test_none_is_ancestor_empty_branch(self):
         branch = self.make_branch('.')
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, 'null:', 'null:', branch))
 
     def test_none_is_ancestor_non_empty_branch(self):
@@ -54,11 +54,11 @@
         branch = builder.get_branch()
         branch.lock_read()
         self.addCleanup(branch.unlock)
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, 'null:', 'null:', branch))
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, rev_id, 'null:',  branch))
-        self.assertFalse(self.applyDeprecated(zero_ninetythree,
+        self.assertFalse(self.applyDeprecated(one_zero,
                          is_ancestor, 'null:', rev_id, branch))
 
 

=== modified file 'bzrlib/tests/test_revision.py'
--- bzrlib/tests/test_revision.py	2007-12-10 05:03:31 +0000
+++ bzrlib/tests/test_revision.py	2007-12-18 15:22:47 +0000
@@ -28,7 +28,7 @@
                              common_ancestor,
                              is_ancestor, MultipleRevisionSources,
                              NULL_REVISION)
-from bzrlib.symbol_versioning import zero_ninetythree
+from bzrlib.symbol_versioning import one_zero
 from bzrlib.tests import TestCase, TestCaseWithTransport
 from bzrlib.trace import mutter
 from bzrlib.workingtree import WorkingTree
@@ -139,22 +139,22 @@
         br2.lock_read()
         self.addCleanup(br2.unlock)
 
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, revisions[0], revisions[0], br1))
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, revisions[1], revisions[0], sources))
-        self.assertFalse(self.applyDeprecated(zero_ninetythree,
+        self.assertFalse(self.applyDeprecated(one_zero,
                          is_ancestor, revisions[0], revisions[1], sources))
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, revisions_2[3], revisions[0], sources))
         # disabled mbp 20050914, doesn't seem to happen anymore
         ## self.assertRaises(NoSuchRevision, is_ancestor, revisions_2[3],
-        ##                  revisions[0], br1)        
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        ##                  revisions[0], br1)
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, revisions[3], revisions_2[4], sources))
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, revisions[3], revisions_2[4], br1))
-        self.assertTrue(self.applyDeprecated(zero_ninetythree,
+        self.assertTrue(self.applyDeprecated(one_zero,
                         is_ancestor, revisions[3], revisions_2[3], sources))
         ## self.assert_(not is_ancestor(revisions[3], revisions_2[3], br1))
 

=== modified file 'bzrlib/tests/tree_implementations/test_inv.py'
--- bzrlib/tests/tree_implementations/test_inv.py	2007-11-29 16:44:23 +0000
+++ bzrlib/tests/tree_implementations/test_inv.py	2007-12-18 15:22:47 +0000
@@ -23,7 +23,7 @@
 from bzrlib.diff import internal_diff
 from bzrlib.mutabletree import MutableTree
 from bzrlib.osutils import has_symlinks
-from bzrlib.symbol_versioning import zero_ninetyone, zero_ninetythree
+from bzrlib.symbol_versioning import zero_ninetyone, one_zero
 from bzrlib.tests import SymlinkFeature, TestSkipped
 from bzrlib.tests.tree_implementations import TestCaseWithTree
 from bzrlib.uncommit import uncommit
@@ -64,7 +64,7 @@
 
     def test_file_diff_deleted(self):
         output = StringIO()
-        self.applyDeprecated(zero_ninetythree,
+        self.applyDeprecated(one_zero,
                              self.file_1.diff,
                              internal_diff,
                              "old_label", self.tree_1,
@@ -78,7 +78,7 @@
 
     def test_file_diff_added(self):
         output = StringIO()
-        self.applyDeprecated(zero_ninetythree,
+        self.applyDeprecated(one_zero,
                              self.file_1.diff,
                              internal_diff,
                              "new_label", self.tree_1,
@@ -92,7 +92,7 @@
 
     def test_file_diff_changed(self):
         output = StringIO()
-        self.applyDeprecated(zero_ninetythree,
+        self.applyDeprecated(one_zero,
                              self.file_1.diff,
                              internal_diff,
                              "/dev/null", self.tree_1,
@@ -107,7 +107,7 @@
         
     def test_file_diff_binary(self):
         output = StringIO()
-        self.applyDeprecated(zero_ninetythree,
+        self.applyDeprecated(one_zero,
                              self.file_1.diff,
                              internal_diff,
                              "/dev/null", self.tree_1,
@@ -119,7 +119,7 @@
     def test_link_diff_deleted(self):
         self.requireFeature(SymlinkFeature)
         output = StringIO()
-        self.applyDeprecated(zero_ninetythree,
+        self.applyDeprecated(one_zero,
                              self.link_1.diff,
                              internal_diff, "old_label",
                              self.tree_1, "/dev/null", None, None,
@@ -130,7 +130,7 @@
     def test_link_diff_added(self):
         self.requireFeature(SymlinkFeature)
         output = StringIO()
-        self.applyDeprecated(zero_ninetythree,
+        self.applyDeprecated(one_zero,
                              self.link_1.diff,
                              internal_diff,
                              "new_label", self.tree_1,
@@ -142,7 +142,7 @@
     def test_link_diff_changed(self):
         self.requireFeature(SymlinkFeature)
         output = StringIO()
-        self.applyDeprecated(zero_ninetythree,
+        self.applyDeprecated(one_zero,
                              self.link_1.diff,
                              internal_diff,
                              "/dev/null", self.tree_1,

=== modified file 'bzrlib/version_info_formats/__init__.py'
--- bzrlib/version_info_formats/__init__.py	2007-11-10 11:25:36 +0000
+++ bzrlib/version_info_formats/__init__.py	2007-12-18 15:22:47 +0000
@@ -22,7 +22,7 @@
 from bzrlib import registry
 from bzrlib.symbol_versioning import (
     deprecated_function,
-    zero_ninetythree,
+    one_zero,
     )
 
 
@@ -176,7 +176,7 @@
 format_registry = registry.Registry()
 
 
-@deprecated_function(zero_ninetythree)
+@deprecated_function(one_zero)
 def register_builder(format, module, class_name):
     """Register a version info format.
 
@@ -189,7 +189,7 @@
     format_registry.regiser_lazy(format, module, class_names)
 
 
-@deprecated_function(zero_ninetythree)
+@deprecated_function(one_zero)
 def get_builder(format):
     """Get a handle to the version info builder class
 
@@ -199,7 +199,7 @@
     return format_registry.get(format)
 
 
-@deprecated_function(zero_ninetythree)
+@deprecated_function(one_zero)
 def get_builder_formats():
     """Get the possible list of formats"""
     return format_registry.keys()

